#PurePDF_Include=1
XIncludeFile "PurePDF.pb"

pdf_Create()
pdf_AddPage()
pdf_SetFont("Arial","",12)
;Scaling
pdf_SetDrawColor(200)
pdf_SetTextColor(200)
pdf_Rect(50,20,40,10,"D")
pdf_Text(50,19,"Scale")
pdf_SetDrawColor(0)
pdf_SetTextColor(0)
;Start Transformation
pdf_StartTransform()
;Scale by 150% centered by (50,30) which is the lower left corner of the rectangle
pdf_ScaleXY(150,50,30)
pdf_Rect(50,20,40,10,"D")
pdf_Text(50,19,"Scale")
;Stop Transformation
pdf_StopTransform()

;Translation
pdf_SetDrawColor(200)
pdf_SetTextColor(200)
pdf_Rect(125,20,40,10,"D")
pdf_Text(125,19,"Translate")
pdf_SetDrawColor(0)
pdf_SetTextColor(0)
pdf_StartTransform()
;Translate 20 to the right, 15 to the bottom
pdf_Translate(20,15)
pdf_Rect(125,20,40,10,"D")
pdf_Text(125,19,"Translate")
pdf_StopTransform()

;Rotation
pdf_SetDrawColor(200)
pdf_SetTextColor(200)
pdf_Rect(50,50,40,10,"D")
pdf_Text(50,49,"Rotate")
pdf_SetDrawColor(0)
pdf_SetTextColor(0)
pdf_StartTransform()
;Rotate 20 degrees counter-clockwise centered by (50,60) which is the lower left corner of the rectangle
pdf_Rotate(20,50,60)
pdf_Rect(50,50,40,10,"D")
pdf_Text(50,49,"Rotate")
pdf_StopTransform()

;Skewing
pdf_SetDrawColor(200)
pdf_SetTextColor(200)
pdf_Rect(125,50,40,10,"D")
pdf_Text(125,49,"Skew")
pdf_SetDrawColor(0)
pdf_SetTextColor(0)
pdf_StartTransform()
;/skew 30 degrees along the x-axis centered by (125,60) which is the lower left corner of the rectangle
pdf_SkewX(30,125,60)
pdf_Rect(125,50,40,10,"D")
pdf_Text(125,49,"Skew")
pdf_StopTransform()

;Mirroring horiontally
pdf_SetDrawColor(200)
pdf_SetTextColor(200)
pdf_Rect(50,80,40,10,"D")
pdf_Text(50,79,"MirrorH")
pdf_SetDrawColor(0)
pdf_SetTextColor(0)
pdf_StartTransform()
;/mirror horizontally with axis of reflection at x-position 50 (left side of the rectangle)
pdf_MirrorH(50)
pdf_Rect(50,80,40,10,"D")
pdf_Text(50,79,"MirrorH")
pdf_StopTransform()

;Mirroring vertically
pdf_SetDrawColor(200)
pdf_SetTextColor(200)
pdf_Rect(125,80,40,10,"D")
pdf_Text(125,79,"MirrorV")
pdf_SetDrawColor(0)
pdf_SetTextColor(0)
pdf_StartTransform()
;mirror vertically with axis of reflection at y-position 90 (bottom side of the rectangle)
pdf_MirrorV(90)
pdf_Rect(125,80,40,10,"D")
pdf_Text(125,79,"MirrorV")
pdf_StopTransform()

Define file$="Tutorial20 Transform.pdf"

pdf_Save(file$)
RunProgram(file$)
; IDE Options = PureBasic 4.61 (Windows - x86)
; CursorPosition = 93
; FirstLine = 28